> ## Documentation Index
> Fetch the complete documentation index at: https://hmis-docs.derrickmugabwa.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Record a visit progress note



## OpenAPI

````yaml /openapi-staff.yaml post /outpatient-visits/{outpatientVisit}/progress-notes
openapi: 3.1.0
info:
  title: HMIS Staff Workflow API
  version: 1.0.0
  description: >-
    Clinic-scoped patient registration, appointments, outpatient visits, and
    clinical workspace operations.
servers:
  - url: https://jaliprohmis.derrickmugabwa.dev/api/v1
    description: HMIS staging API
security:
  - bearerAuth: []
tags:
  - name: Staff patients
  - name: Staff appointments
  - name: Staff outpatient visits
  - name: Staff clinical workspace
paths:
  /outpatient-visits/{outpatientVisit}/progress-notes:
    post:
      tags:
        - Staff clinical workspace
      summary: Record a visit progress note
      operationId: createStaffClinicalProgressNote
      parameters:
        - $ref: '#/components/parameters/VisitId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProgressNoteRequest'
      responses:
        '201':
          $ref: '#/components/responses/ObjectResponse'
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  parameters:
    VisitId:
      name: outpatientVisit
      in: path
      required: true
      schema:
        type: integer
  schemas:
    ProgressNoteRequest:
      type: object
      required:
        - note_type
      properties:
        note_type:
          type: string
          enum:
            - general
            - soap
            - review
            - procedure
            - discharge_planning
        general_note:
          type:
            - string
            - 'null'
          maxLength: 5000
        subjective:
          type:
            - string
            - 'null'
          maxLength: 3000
        objective:
          type:
            - string
            - 'null'
          maxLength: 3000
        assessment:
          type:
            - string
            - 'null'
          maxLength: 3000
        plan:
          type:
            - string
            - 'null'
          maxLength: 3000
    ObjectEnvelope:
      type: object
      properties:
        data:
          type: object
          additionalProperties: true
  responses:
    ObjectResponse:
      description: Resource returned.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ObjectEnvelope'
    ValidationError:
      description: Request validation or workflow transition failed.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum staff token

````